%global dlrn_nvr ansible-role-redhat-subscription-1.1.6.dev6-2.20220308005311.0f7ac2a
%global dlrn 1
%define upstream_version 1.1.6.dev6
# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver %{python3_pkgversion}
%else
%global pyver 2
%endif
%global pyver_sitelib %{expand:%{python%{pyver}_sitelib}}
%global pyver_install %{expand:%{py%{pyver}_install}}
%global pyver_build %{expand:%{py%{pyver}_build}}
# End of macros for py2/py3 compatibility
%global srcname ansible_role_redhat_subscription
%global rolename ansible-role-redhat-subscription

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:           %{rolename}
Version: 1.1.6
Release: 2.20220308005311.0f7ac2a%{?dist}
Summary:        Ansible role for setting up Red Hat Subscription Management.

Group:          System Environment/Base
License:        ASL 2.0
URL:            https://git.openstack.org/cgit/openstack/ansible-role-redhat-subscription
Source0: ansible-role-redhat-subscription-1.1.6.dev6-2.20220308005311.0f7ac2a.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=0f7ac2a5536e6eefc2d7b2f0b324d8e97a4193ee

BuildArch:      noarch
BuildRequires:  git
BuildRequires:  python%{pyver}-devel
BuildRequires:  python%{pyver}-setuptools
BuildRequires:  python%{pyver}-pbr

# Handle python2 exception
%if %{pyver} == 2 || 0%{?rhel} > 7
Requires:       ansible
%else
Requires:       ansible-python3
%endif


%description

Ansible role to configure Red Hat Subscription Management

%prep
%autosetup -n %{rolename}-%{upstream_version} -S git


%build
%{pyver_build}


%install
export PBR_VERSION=%{version}
export SKIP_PIP_INSTALL=1
%{pyver_install}


%files
%doc README*
%license LICENSE
%{pyver_sitelib}/%{srcname}-*.egg-info
%{_datadir}/ansible/roles/


%changelog
* Mon Mar 07 2022 OSP Prod Chain <dev-null@redhat.com> 1.1.6-2.20220308005311.0f7ac2a
- Update patches
- Adding option to disable container validation

* Wed Feb 23 2022 OSP Prod Chain <dev-null@redhat.com> 1.1.6-2.20220223205237.7369c0b
- Update patches
- Fixing https://github.com/ansible-collections/community.general/issues/715

* Wed Feb 16 2022 OSP Prod Chain <dev-null@redhat.com> 1.1.6-2.20220216234846.ae0a361
- Update patches

* Wed Feb 16 2022 OSP Prod Chain <dev-null@redhat.com> 1.1.6-2.20220216225306.ae0a361
- Update patches
- Revert "addressing https://github.com/ansible-collections/community.general/issues/715"
- addressing https://github.com/ansible-collections/community.general/issues/715

* Thu Nov 18 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.6-2.20211119004859.31b0c74
- Update patches
- Fix URL version for Satellite 6.10

* Fri Jun 18 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.6-2.20210618224812.effac4c
- Update patches
- Correct the tox option for skipping sdist generation

* Thu May 27 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.5-2.20210527214016.17a8bd5
- Update patches

* Wed May 12 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.5-2.20210513022001.17a8bd5
- Update patches
- Fix packages fact
- setup.cfg: Replace dashes with underscores

* Mon Apr 26 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.3-2.20210426234734.4178cf5
- Update patches
- Fix service fact reference

* Mon Mar 01 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.2-1
- Update patches

* Wed Feb 24 2021 OSP Prod Chain <dev-null@redhat.com> 1.0.4-1
- Update patches
- Use ansible_facts
- Fix CI

* Thu Dec 17 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.4-1
- Update patches

* Fri Nov 13 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.4-1
- Update patches
- Replace deprecated UPPER_CONSTRAINTS_FILE variable

* Thu Nov 12 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.4-1
- Update patches
- Bump pyflakes, exclude ansible-lint 106

* Fri Oct 30 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.4-1
- Update patches

* Tue Jul 21 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.4-1
- Update patches

* Fri Jul 17 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.4-1
- Update patches
- Add support for "Simplified Content Access"

* Thu Jul 16 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.4-1
- Update patches

* Mon Jul 06 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.4-1
- Update patches
- Adjustments to detect Satellite version/mode

* Fri May 22 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.4-1
- Update patches
- Introduce rhsm_release parameter

* Thu Mar 26 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.4-1
- Update patches
- Skip proxy tasks when not needed

* Thu Mar 26 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.4-1
- Update patches
- Fix ansible_pkg_mgr
- Improve support for HTTP proxy

* Wed Mar 11 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.4-1
- Update patches

* Tue Oct 22 2019 OSP Prod Chain <dev-null@redhat.com> 1.0.4-1
- Update patches

* Fri Oct 18 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Sep 30 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update the constraints url



